<form class="{{cssClass}} flexcol" autocomplete="off">
  {{!-- Sheet Header --}}
  <header class="creature-sheet-header">
    <div class="header-fields">
      <h1 class="charname"><input name="name" type="text" value="{{actor.name}}" placeholder="Name" /></h1>
      {{!-- The grid classes are defined in scss/global/_grid.scss. To use,
      use both the "grid" and "grid-Ncol" class where "N" can be any number
      from 1 to 12 and will create that number of columns. --}}
      <div class="resources grid grid-2col">
        {{!-- "flex-group-center" is also defined in the _grid.scss file
        and it will add a small amount of padding, a border, and will
        center all of its child elements content and text. --}}
      </div>
      <div class="resources grid grid-2col">
        <div class="abilities _grid">
          {{#each data.abilities as |ability key|}}
          <div class="ability flexrow flex-group-center">
            <label for="data.abilities.{{key}}.value" class="resource-label">{{ability.fullname}}</label>
            <input type="text" name="data.abilities.{{key}}.value" value="{{ability.value}}" data-dtype="Number" />
          </div>
          {{/each}}
          <div class="resource flex-group-center">
            <div class="resource-content flexrow flex-center flex-between">
              <label for="data.health.value" class="resource-label">Health</label>
              <input type="text" name="data.health.value" value="{{data.health.value}}" data-dtype="Number" />
              <span> / </span>
              <label name="data.health.max">{{data.health.max}}</label>
            </div>
            <div class="ability flexrow flex-group-center">
              <label>Major wound:</label>
              <label>{{data.majorWoundLevel}}</label>
            </div>
          </div>
          <div class="ability flexrow flex-group-center">
            <label>Damage Modifier:</label>
            <label>{{data.damageModifier}}</label>
          </div>
          <div class="ability flexrow flex-group-center">
            <label for="armour" class="resource-label">Armour</label>
            <input type="text" name="data.armour.name" value="{{data.armour.name}}" data-dtype="String" />
          </div>
          <div class="ability flexrow flex-group-center">
            <label>AP:</label> 
            <input type="text" name="data.armour.points" value="{{data.armour.points}}" data-dtype="Number" /> /  <label>{{data.armour.gunpoints}}</label>
          </div>
          <div class="ability flexrow flex-group-center">
            <label>Order</label>
            <input type="text" name="data.combatOrder" value="{{data.combatOrder}}" data-dtype="Number">
          </div>
        </div>
        <div class="characteristics _grid">
          {{!-- The grid classes are defined in scss/global/_grid.scss. To use,
          use both the "grid" and "grid-Ncol" class where "N" can be any number
          from 1 to 12 and will create that number of columns. --}}
            {{!-- Sheet Tab Navigation --}}
            <nav class="sheet-tabs tabs" data-group="primary">
              <a class="item" data-tab="description">Description</a>
              <a class="item" data-tab="skills">Actions & Skills</a>
              <a class="item" data-tab="spells">Spells</a>
            </nav>
            {{!-- Sheet Body --}}
            <section class="sheet-body">
              {{!-- Biography Tab --}}
              <div class="tab items" data-group="primary" data-tab="description">
                <img class="profile-img" src="{{actor.img}}" data-edit="img" title="{{actor.name}}" height="200" width="200" />
                {{editor content=data.biography target="data.biography" button=true owner=owner editable=editable}}
              </div>

              {{!-- Owned Weapons Tab --}}
              <div class="tab items" data-group="primary" data-tab="weapons">
                
              </div>

              {{!-- Owned Skills Tab --}}
              <div class="tab skills" data-group="primary" data-tab="skills">
                <label class="resource-label">Actions</label>
                <ol class="items-list">
                  <li class="item flexrow item-header">
                    <div class="item-image"></div>
                    <div class="item-name">Name</div>
                    <div class="item-name">Skill</div>
                    <div class="item-name">Damage</div>
                    <div class="item-controls">
                      <a class="item-control item-create" title="Create item" data-type="melee weapon"><i
                          class="fas fa-plus"></i> Add</a>
                    </div>
                  </li>
                  {{#each actor.weapons as |item id|}}
                  <li class="item flexrow" data-item-id="{{item._id}}">
                    <div class="item-image rollable" data-roll="d100+{{@data.skill}}" data-label="{{@item.name}}"><img
                        src="{{item.img}}" title="{{item.name}}" width="24" height="24" /></div>
                    <h4 class="item-base"><input class="input-weapon-name" type="text" name="item.name" value="{{item.name}}" data-dtype="Number" /></h4>
                    <class class="item-base"><input class="input-weapon-skill" type="text" name="item.data.skill" value="{{item.data.skill}}" data-dtype="Number" /></class>
                    <class class="item-base"><input class="input-weapon-damage" type="text" name="item.data.damage" value="{{item.data.damage}}" data-dtype="String" /></class>
                    <div class="item-controls">
                      <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                      <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                    </div>
                  </li>
                  {{/each}}
                </ol>
                <label class="resource-label">Skills</label>
                <ol class="items-list">
                  <li class="item flexrow item-header">
                    <div class="item-image"></div>
                    <div class="item-name">Name</div>
                    <div class="item-name">%</div>
                    <div class="item-controls">
                      <a class="item-control item-create" title="Create item" data-type="skill"><i
                          class="fas fa-plus"></i> Add</a>
                    </div>
                  </li>
                  {{#each actor.skills as |skill id|}}
                  <li class="item flexrow" data-item-id="{{skill._id}}">
                    <div class="item-image rollable" data-roll="d100+{{@data.value}}" data-label="{{@skill.name}}"><img
                        src="{{skill.img}}" title="{{skill.name}}" width="24" height="24" /></div>
                    <h4 class="item-name">{{skill.name}}</h4>
                    <class class="item-base"><input class="input-skill-edit" type="text" name="skill.data.value" value="{{skill.data.value}}" data-dtype="Number" /></class>
                    <div class="item-controls">
                      <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                      <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                    </div>
                  </li>
                  {{/each}}
                </ol>
              </div>

              {{!-- Owned Spells Tab --}}
              <div class="tab spells" data-group="primary" data-tab="spells">
                <ol class="items-list">
                  <li class="item flexrow item-header">
                    <div class="item-image"></div>
                    <div class="item-name">Name</div>
                    <div class="item-controls"></div>
                  </li>
                  {{#each actor.spells as |spells spellLevel|}}
                  <li class="item flexrow item-header">
                    <div class="item-name">Level {{spellLevel}} Spells</div>
                    <div class="item-controls">
                      <a class="item-control item-create" title="Create item" data-type="spell"
                        data-spell-level="{{spellLevel}}"><i class="fas fa-plus"></i> Add</a>
                    </div>
                  </li>
                  {{#each spells as |item id|}}
                  <li class="item flexrow" data-item-id="{{item._id}}">
                    <div class="item-image rollable" data-roll="d100+{{@data.value}}" data-label="{{@skill.name}}"><img
                        src="{{item.img}}" title="{{item.name}}" width="24" height="24" /></div>
                    <h4 class="item-name">{{item.name}}</h4>
                    <div class="item-controls">
                      <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                      <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                    </div>
                  </li>
                  {{/each}}
                  {{/each}}
                </ol>
              </div>

            </section>
        </div>
      </div>
    </div>
  </header>
</form>